Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TAliasClause

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TAliasClause

All Implemented Interfaces:
  Visitable

    public class TAliasClause

extends TParseTreeNode

Alias for the column or table expression.

Constructor Summary
`TAliasClause()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`TObjectName` | `getAliasName()`
`TSourceToken` | `getAsToken()`
`TObjectNameList` | `getColumns()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`boolean` | `isTeradataNamedAlais()`
`void` | `setAsToken(TSourceToken asToken)`
`void` | `setTeradataNamedAlais(boolean teradataNamedAlais)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TAliasClause

    public TAliasClause()

Method Detail

### setTeradataNamedAlais

    public void setTeradataNamedAlais(boolean teradataNamedAlais)

### isTeradataNamedAlais

    public boolean isTeradataNamedAlais()

### getColumns

    public TObjectNameList getColumns()

### setAsToken

    public void setAsToken(TSourceToken asToken)

### getAsToken

    public TSourceToken getAsToken()

### getAliasName

    public TObjectName getAliasName()

  Returns:
    Alias name

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD